/*
 * Definiowanie Menu Gwnego WindowMakera
 * Fonty w standardzie ISO8859-2
 *
 * Skadnia jest nastpujca:
 *
 * <Tytu> [SHORTCUT <Skrt>] <Komenda> <Parametry>
 *
 * <Tytu> Tytu moe by dowolnym cigiem znakw. Jeli bd w nim wystpowa
 *         spacje umie go w cudzysowie np. "Tytu ze spacj"
 * 
 * SHORTCUT Definiowanie skrtu.
 * <Skrt> Nazwa rodzaju skrtu umieszczonego w pliku
 *         $HOME/GNUstep/Defaults/WindowMaker, tak jak RootMenuKey 
 *         lub MiniaturizeKey.
 *
 * Skrty mog wystpowa w sekcji MENU lub OPEN_MENU .
 * 
 * <Komenda> jedna z dostpnych komend: 
 *	MENU - rozpoczcie definicji (pod)menu 
 *	END  - zakoczenie definicji (pod)menu 
 *	OPEN_MENU - generowanie podmenu na podstawie podanego katalogu,
 *              umieszczajc w nim pliki wykonywalne i podkatalogi.
 *	WORKSPACE_MENU - Dodanie podmenu zawierajcego aktywne pulpity. Tylko
 *		             jedno workspace_menu jest potrzebne. 		
 *	EXEC <program> - wykonanie jakiegokolwiek programu
 *	EXIT - wyjcie z menadera okien
 *	RESTART [<window manager>] - restart WindowMakera albo start innego
 *			                     manadera okien
 *	REFRESH - odwierzenie ekranu
 *	ARRANGE_ICONS - uporzdkowanie ikon na pulpicie
 *	SHUTDOWN - zabicie wszystkich procesw (i wyjcie z X window)
 *	SHOW_ALL - pokazanie wszystkich ukrytych programw
 *  HIDE_OTHERS - schowanie aktywnych okien pulpitu, oprcz aktywnego
 *  SAVE_SESSION - zapamietanie aktualnego stanu desktpou, z wszystkimi
 *                 uruchomionymi programami, i z wszystkimi ich stanami
 *                 geometrycznymi, pozycji na ekranie, umieszczone na
 *                 odpowiednim pulpicie, ukryte lub uaktywnione.
 *                 Wszystkie te ustawiemia bed aktywne, dopki nie
 *                 zostan uyte komendy SAVE_SESSION i CLEAR_SESSION.
 *                 Jeeli SaveSessionOnExit = Yes; w pliku konfiguracyjnym
 *                 WindowMakera, wtedy zapamitywanie wszystkich ustawie
 *                 jest dokonywanie po kadym wyjciu, niezalenie od
 *                 komend SAVE_SESSION czy CLEAR_SESSION .
 *  CLEAR_SESSION - Czyszczenie poprzednio zapamitanych sesji. Nie ponosi to
 *                  adnych zmian w pliku SaveSessionOnExit .
 *  INFO - Wywietlenie informacji o WindowMakerze
 *
 * <Parametry> zalene od uruchamianego programu.
 *
 * ** Opcje w lini komend EXEC:
 * %s - znak jest zastpowany przez text znajdujcy si w 'schowku'
 * %a(tytu[,komunikat]) - otwiera dodatkowe okno o tytule 'tytu', komunikacie
 *                         'komunikat' i czeka na podanie parametrw, ktre 
 *                         zostan wstawione zamiast %a. 
 * %w - znak jest zastpowany przez XID aktywnego okna
 * %W - znak jest zastpowany przez numer aktywnego pulpitu
 * 
 * Aby uywa specjalnych znakw ( takich jak % czy " ) naley poprzedzi je znakiem \
 * np. :xterm -T "\"Witaj wiecie\""
 *
 * Mona uywa znakw specjalnych, takich jak \n
 *
 * Sekcja MENU musi by zakoczona sekcj END, pod t sam nazw.
 *
 * Przykad:
 *
 * "Test" MENU
 *  "XTerm" EXEC xterm
 *      // stworzenie podmenu z plikami w podkatalogu /usr/openwin/bin
 *  "XView apps" OPEN_MENU "/usr/openwin/bin"
 *      // umieszcza w jednym podmenu pliki z rnych podkatalogw
 *  "X11 apps" OPEN_MENU /usr/X11/bin $HOME/bin/X11
 *      // ustawienie ta
 *  "Background" OPEN_MENU -noext $HOME/images /usr/share/images WITH wmsetbg -u *      // wstawienie menu z pliku style.menu
 *      // wstawienie menu z pliku style.menu
 *  "Style" OPEN_MENU style.menu
 * "Test" END
 *
 * Jeeli zamiast polskich fontw s jakie krzaczki naley wyedetowa pliki
 * $HOME/GNUstep/Defaults/WMGLOBAL i $HOME/GNUstep/Defaults/WindowMaker,  
 * lub wej w menu Konfiguracja.
 * Aby uzyska polskie znaki naley uzupeni definicje fontw.
 * np. zamieni
 *
 * SystemFont = "-*-helvetica-medium-r-normal-*-%d-100-*-*-*-*-*-*";
 *
 * na
 *
 * SystemFont = "-*-helvetica-medium-r-normal-*-%d-100-*-*-*-*-iso8859-2";
 *
 * i wszdzie tam gdzie wystpuje podobna definicja.
 */
                  

#include "wmmacros"

"WindowMaker" MENU
	"Informacja" MENU
		"Informacja o WindowMakerze..."      INFO_PANEL
		"Informacja o licencji..." LEGAL_PANEL
		"Konsola systemu"        EXEC xconsole
		"Obcienie systemu"     SHEXEC xosview || xload
		"Lista procesw"         EXEC xterm -T "Lista procesw" -e top
		"Przegldarka manuali"   EXEC xman
	"Informacja" END
	
        "XTerm" EXEC xterm -sb
	"Pulpity" WORKSPACE_MENU
	
	"Aplikacje" OPEN_MENU | wmconfig --output wmaker --rootmenu Applications 2>/dev/null

	"Zaznaczenie" MENU
		"Kopiuj"                  SHEXEC echo '%s' | wxcopy
		"Poczta do ..."          EXEC xterm -name mail -T "Pine" -e pine %s
		"Serfuj do ..."          EXEC netscape %s
		"Szukaj w manualach ..."     SHEXEC MANUAL_SEARCH(%s)
	"Zaznaczenie" END

	"Ekran" MENU
		"Ukryj pozostae"         HIDE_OTHERS
		"Poka wszystko"          SHOW_ALL
		"Uporzdkuj ikony"        ARRANGE_ICONS
		"Odwie"                 REFRESH
		"Zablokuj"                EXEC xlock -allowroot -usefirst
		"Zachowaj sesj"          SAVE_SESSION
		"Wyczy zachowan sesj" CLEAR_SESSION
	"Ekran" END

	"Wygld" MENU
		"Tematy"          OPEN_MENU -noext THEMES_DIR $HOME/GNUstep/Library/WindowMaker/Themes WITH setstyle
		"Style"           OPEN_MENU -noext STYLES_DIR $HOME/GNUstep/Library/WindowMaker/Styles WITH setstyle
		"Ustawienia ikon" OPEN_MENU -noext ICON_SETS_DIR $HOME/GNUstep/Library/WindowMaker/IconSets WITH seticons
		"To" MENU
			"Jednolite" MENU
               	"Czarny"            WS_BACK '(solid, black)'
               	"Niebieski"         WS_BACK '(solid, "#505075")'
				"Indigo"            WS_BACK '(solid, "#243e6c")'
				"Gboko Niebieski" WS_BACK '(solid, "#224477")'
               	"Fioletowy"         WS_BACK '(solid, "#554466")'
               	"Pszeniczny"        WS_BACK '(solid, "wheat4")'
               	"Ciemno Szary"      WS_BACK '(solid, "#333340")'
               	"Winny"             WS_BACK '(solid, "#400020")'
			"Jednolite" END
			"Cieniowane" MENU
				"Zachd Soca"         WS_BACK '(mvgradient, deepskyblue4, black, deepskyblue4, tomato4)'
				"Niebo"                 WS_BACK '(vgradient, blue4, white)'
    			"Cieniowany Niebieski"  WS_BACK '(vgradient, "#7080a5", "#101020")'
				"Cieniowane Indigo"     WS_BACK '(vgradient, "#746ebc", "#242e4c")'
			   	"Cieniowany Fioletowy"  WS_BACK '(vgradient, "#654c66", "#151426")'
    			"Cieniowany Pszeniczny" WS_BACK '(vgradient, "#a09060", "#302010")'
    			"Cieniowany Szary"      WS_BACK '(vgradient, "#636380", "#131318")'
    			"Cieniowany Winnny"     WS_BACK '(vgradient, "#600040", "#180010")'
			"Cieniowane" END
			"Obrazki" OPEN_MENU -noext BACKGROUNDS_DIR $HOME/GNUstep/Library/WindowMaker/Backgrounds WITH wmsetbg -u -t
		"To" END
		"Zaoamitanie Tematu"        EXEC getstyle -t $HOME/GNUstep/Library/WindowMaker/Themes/"%a(Nazwa tematu,Wpisz nazwe pliku:)"
		"Zapamitanie Ustawie Ikon" EXEC geticonset $HOME/GNUstep/Library/WindowMaker/IconSets/"%a(Ustawienia ikon,wpisz nazwe pliku:)"
	"Wygld" END

	"Wyjcie" MENU
		"Przeadowanie"    RESTART
		"Start BlackBox"   RESTART blackbox
		"Start kwm"        RESTART kwm
		"Start IceWM"      RESTART icewm
		"Wyjcie..."       EXIT
		"Zabicie sesji..." SHUTDOWN
	"Wyjcie" END
"WindowMaker" END
